TCP Functions
YAZ
TCP Functions
PHP Manual

# tcpwrap_check

(PECL tcpwrap:0.1-1.0)

tcpwrap_check — Performs a tcpwrap check

### Description

bool tcpwrap_check ( string `$daemon` , string `$address` [, string `$user` [, bool `$nodns` ]] )

This function consults the /etc/hosts.allow and /etc/hosts.deny files to check if access to service `daemon` should be granted or denied for a client.

### Parameters

`daemon`

  The service name.

`address`

  The client remote address. Can be either an IP address or a domain name.

`user`

  An optional user name.

`nodns`

  If `address` looks like domain name then DNS is used to resolve it to IP address; set `nodns` to `TRUE` to avoid this.

### Return Values

This function returns `TRUE` if access should be granted, `FALSE` otherwise.

### Examples

Example #1 Deny all connections from localhost

If your /etc/hosts.deny file contains:

    php: 127.0.0.1

And your code looks like:

`<?php
if (!tcpwrap_check('php', $_SERVER['REMOTE_ADDR'])) {
die('You are not welcome here');
}
?>`

### See Also

For more details please consult hosts_access(3) man page.

TCP Functions
YAZ
TCP Functions
PHP Manual